{ config, lib, ... }:
{
  # Enable optional PHP socket
  config = lib.mkIf config.services.nginx.enable {
    services.phpfpm.pools.nginx = {
      user = "nobody";
      settings = {
        "pm" = "dynamic";
        "pm.max_children" = 75;
        "pm.start_servers" = 10;
        "pm.min_spare_servers" = 5;
        "pm.max_spare_servers" = 20;
        "pm.max_requests" = 500;
        "listen.owner" = config.services.nginx.user;
        "listen.group" = config.services.nginx.group;
        "listen.mode" = "0660";
        "catch_workers_output" = 1;
      };
    };
  };
}
